Handle Webhook - SuperAI Flows
Handle Webhook
cURL
curl --request POST \
--url https://flows.super.ai/api/plugins/{plugin_name}/instances/{integration_id}/webhook/callback \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
import requests
url = "https://flows.super.ai/api/plugins/{plugin_name}/instances/{integration_id}/webhook/callback"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/plugins/{plugin_name}/instances/{integration_id}/webhook/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


422
{
"detail": [\
{\
"loc": [\
"<string>"\
],\
"msg": "<string>",\
"type": "<string>"\
}\
]
}
Authorizations
X-API-Key
string
header
required
API key authentication. Include your API key in the X-API-Key header as: X-API-Key YOUR_API_KEY
Example:
X-API-Key: saf_1234567890
Authorization
string
header
required
JWT Bearer token authentication. Include your access token in the Authorization header as: Bearer YOUR_ACCESS_TOKEN
Example:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
plugin_name
string
required
integration_id
string
required
Response
200
application/json
Successful Response